package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_SIZING_RESULT所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-07-31
 */
public class MilSizingResultEntity {
	   /**
     * 开轧温度
     */
    private String beginRollingTemp;
    /**
     * 实绩编号
     */
    private String resultNo;
    private String changeNum;
    public String getChangeNum() {
		return changeNum;
	}

	public void setChangeNum(String changeNum) {
		this.changeNum = changeNum;
	}
    /**
     * 终轧温度（前）
     */
	private String  exitTemp2;

    public String getExitTemp2() {
        return exitTemp2;
    }

    public void setExitTemp2(String exitTemp2) {
        this.exitTemp2 = exitTemp2;
    }

    public String getExitTemp3() {
        return exitTemp3;
    }

    public void setExitTemp3(String exitTemp3) {
        this.exitTemp3 = exitTemp3;
    }

    /**
     * 终轧温度（中）
     */
    private String  exitTemp3;
	/**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 1组主电机转速
     */
    private String hostEleSpeed1;
    /**
     * 2组主电机转速
     */
    private String hostEleSpeed2;
    /**
     * 3组主电机转速
     */
    private String hostEleSpeed3;
    /**
     * 4组主电机转速
     */
    private String hostEleSpeed4;
    /**
     * 5组主电机转速
     */
    private String hostEleSpeed5;
    /**
     * 6组主电机转速
     */
    private String hostEleSpeed6;
    /**
     * 7组主电机转速
     */
    private String hostEleSpeed7;
    /**
     * 8组主电机转速
     */
    private String hostEleSpeed8;
    /**
     * 9组主电机转速
     */
    private String hostEleSpeed9;
    /**
     * 10组主电机转速
     */
    private String hostEleSpeed10;
    /**
     * 11组主电机转速
     */
    private String hostEleSpeed11;
    /**
     * 12组主电机转速
     */
    private String hostEleSpeed12;
    /**
     * 1组叠加电机转速
     */
    private String foldEleSpeed1;
    /**
     * 2组叠加电机转速
     */
    private String foldEleSpeed2;
    /**
     * 3组叠加电机转速
     */
    private String foldEleSpeed3;
    /**
     * 孔型系列
     */
    private String passSeries;
    /**
     * 精轧系列机架数
     */
    private String finishRollNum;
    /**
     * 精轧机架（编号）
     */
    private String rackNo;
    /**
     * 荒管尺寸
     */
    private String pipeSize;
    public String getPipeSize() {
		return pipeSize;
	}

	public void setPipeSize(String pipeSize) {
		this.pipeSize = pipeSize;
	}

	/**
     * 荒管外径（目标）
     */
    private String pipeDiameter;
    /**
     * 荒管壁厚（目标）
     */
    private String pipeThickness;
    /**
     * 荒管长度（目标）
     */
    private String pipeLength;
    /**
     * 轧制支数
     */
    private String productNum;
    /**
     * 轧废支数
     */
    private String scrapNum;
    /**
     * 废品原因
     */
    private String scrapReason;
    /**
     * 轧辊入口速度
     */
    private String status;
    public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	private String entranceSpeed;
    /**
     * 高压除磷水压力
     */
    private String descalingWaterPress;
    /**
     * 成品规格
     */
    private String productSize;
    /**
     * 轧辊出口速度
     */
    private String exitSpeed;
    /**
     * 机架冷却水压力
     */
    private String coolingWaterPress;
    /**
     * 入口温度
     */
    private String entranceTemp;
    /**
     * 出口温度
     */
    private String exitTemp;
    /**
     * 小冷床节奏
     */
    private String bedRhythm;
    /**
     * 大冷床辊道速度
     */
    private String rollerSpeed;
    /**
     * 电机力矩
     */
    private String motorTorque;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 监制人
     */
    private String executiveProducer;
    /**
     * 监制时间
     */
    private String producerTime;
    /**
     * 监制人电话
     */
    private String producerTel;
    /**
     * 结炉标识
     */
    private String nodeFurFlag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    
    /**
     * userId
     */
    private String userId;
    /**
     * 合格吨
     */
    private String qaTon;

    public String getQaTon() {
		return qaTon;
	}

	public void setQaTon(String qaTon) {
		this.qaTon = qaTon;
	}
	
	/**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;


    public MilSizingResultEntity(){
    	proPlanId = "";
		gxPlanNo = "";
    	userId = "";
        resultNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        plineCode = "";
        hostEleSpeed1 = "";
        hostEleSpeed2 = "";
        hostEleSpeed3 = "";
        hostEleSpeed4 = "";
        hostEleSpeed5 = "";
        hostEleSpeed6 = "";
        hostEleSpeed7 = "";
        hostEleSpeed8 = "";
        hostEleSpeed9 = "";
        hostEleSpeed10 = "";
        foldEleSpeed1 = "";
        foldEleSpeed2 = "";
        foldEleSpeed3 = "";
        passSeries = "";
        finishRollNum = "";
        rackNo = "";
        pipeDiameter = "";
        pipeThickness = "";
        pipeLength = "";
        productNum = "";
        scrapNum = "";
        scrapReason = "";
        entranceSpeed = "";
        descalingWaterPress = "";
        productSize = "";
        exitSpeed = "";
        coolingWaterPress = "";
        entranceTemp = "";
        exitTemp = "";
        bedRhythm = "";
        rollerSpeed = "";
        motorTorque = "";
        startTime = "";
        changeNum = "";
        status = "";
        endTime = "";
        pipeSize= "";
        executiveProducer = "";
        producerTime = "";
        producerTel = "";
        nodeFurFlag = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        beginRollingTemp="";
        qaTon="";
        exitTemp2="";
        exitTemp3="";
    }

    public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
     * 开轧温度
     * @return value
     */
    public String getBeginRollingTemp() {
        return beginRollingTemp;
    }

    /**
     * 开轧温度
     * @param beginRollingTemp value
     */
    public void setBeginRollingTemp(String beginRollingTemp) {
        this.beginRollingTemp = beginRollingTemp;
    }
    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 1组主电机转速
     * @return value
     */
    public String getHostEleSpeed1() {
        return hostEleSpeed1;
    }

    /**
     * 1组主电机转速
     * @param hostEleSpeed1 value
     */
    public void setHostEleSpeed1(String hostEleSpeed1) {
        this.hostEleSpeed1 = hostEleSpeed1;
    }

    /**
     * 2组主电机转速
     * @return value
     */
    public String getHostEleSpeed2() {
        return hostEleSpeed2;
    }

    /**
     * 2组主电机转速
     * @param hostEleSpeed2 value
     */
    public void setHostEleSpeed2(String hostEleSpeed2) {
        this.hostEleSpeed2 = hostEleSpeed2;
    }

    /**
     * 3组主电机转速
     * @return value
     */
    public String getHostEleSpeed3() {
        return hostEleSpeed3;
    }

    /**
     * 3组主电机转速
     * @param hostEleSpeed3 value
     */
    public void setHostEleSpeed3(String hostEleSpeed3) {
        this.hostEleSpeed3 = hostEleSpeed3;
    }

    /**
     * 4组主电机转速
     * @return value
     */
    public String getHostEleSpeed4() {
        return hostEleSpeed4;
    }

    /**
     * 4组主电机转速
     * @param hostEleSpeed4 value
     */
    public void setHostEleSpeed4(String hostEleSpeed4) {
        this.hostEleSpeed4 = hostEleSpeed4;
    }

    /**
     * 5组主电机转速
     * @return value
     */
    public String getHostEleSpeed5() {
        return hostEleSpeed5;
    }

    /**
     * 5组主电机转速
     * @param hostEleSpeed5 value
     */
    public void setHostEleSpeed5(String hostEleSpeed5) {
        this.hostEleSpeed5 = hostEleSpeed5;
    }

    /**
     * 6组主电机转速
     * @return value
     */
    public String getHostEleSpeed6() {
        return hostEleSpeed6;
    }

    /**
     * 6组主电机转速
     * @param hostEleSpeed6 value
     */
    public void setHostEleSpeed6(String hostEleSpeed6) {
        this.hostEleSpeed6 = hostEleSpeed6;
    }

    /**
     * 7组主电机转速
     * @return value
     */
    public String getHostEleSpeed7() {
        return hostEleSpeed7;
    }

    /**
     * 7组主电机转速
     * @param hostEleSpeed7 value
     */
    public void setHostEleSpeed7(String hostEleSpeed7) {
        this.hostEleSpeed7 = hostEleSpeed7;
    }

    /**
     * 8组主电机转速
     * @return value
     */
    public String getHostEleSpeed8() {
        return hostEleSpeed8;
    }

    /**
     * 8组主电机转速
     * @param hostEleSpeed8 value
     */
    public void setHostEleSpeed8(String hostEleSpeed8) {
        this.hostEleSpeed8 = hostEleSpeed8;
    }

    /**
     * 9组主电机转速
     * @return value
     */
    public String getHostEleSpeed9() {
        return hostEleSpeed9;
    }

    /**
     * 9组主电机转速
     * @param hostEleSpeed9 value
     */
    public void setHostEleSpeed9(String hostEleSpeed9) {
        this.hostEleSpeed9 = hostEleSpeed9;
    }

    /**
     * 10组主电机转速
     * @return value
     */
    public String getHostEleSpeed10() {
        return hostEleSpeed10;
    }

    /**
     * 10组主电机转速
     * @param hostEleSpeed10 value
     */
    public void setHostEleSpeed10(String hostEleSpeed10) {
        this.hostEleSpeed10 = hostEleSpeed10;
    }

    /**
     * 1组叠加电机转速
     * @return value
     */
    public String getFoldEleSpeed1() {
        return foldEleSpeed1;
    }

    /**
     * 1组叠加电机转速
     * @param foldEleSpeed1 value
     */
    public void setFoldEleSpeed1(String foldEleSpeed1) {
        this.foldEleSpeed1 = foldEleSpeed1;
    }

    /**
     * 2组叠加电机转速
     * @return value
     */
    public String getFoldEleSpeed2() {
        return foldEleSpeed2;
    }

    /**
     * 2组叠加电机转速
     * @param foldEleSpeed2 value
     */
    public void setFoldEleSpeed2(String foldEleSpeed2) {
        this.foldEleSpeed2 = foldEleSpeed2;
    }

    /**
     * 3组叠加电机转速
     * @return value
     */
    public String getFoldEleSpeed3() {
        return foldEleSpeed3;
    }

    /**
     * 3组叠加电机转速
     * @param foldEleSpeed3 value
     */
    public void setFoldEleSpeed3(String foldEleSpeed3) {
        this.foldEleSpeed3 = foldEleSpeed3;
    }

    /**
     * 孔型系列
     * @return value
     */
    public String getPassSeries() {
        return passSeries;
    }

    /**
     * 孔型系列
     * @param passSeries value
     */
    public void setPassSeries(String passSeries) {
        this.passSeries = passSeries;
    }

    /**
     * 精轧系列机架数
     * @return value
     */
    public String getFinishRollNum() {
        return finishRollNum;
    }

    /**
     * 孔型机架数
     * @param FinishRollNum value
     */
    public void setFinishRollNum(String finishRollNum) {
        this.finishRollNum = finishRollNum;
    }

    /**
     * 精轧机架（编号）
     * @return value
     */
    public String getRackNo() {
        return rackNo;
    }

    /**
     * 精轧机架（编号）
     * @param rackNo value
     */
    public void setRackNo(String rackNo) {
        this.rackNo = rackNo;
    }

    /**
     * 荒管外径（目标）
     * @return value
     */
    public String getPipeDiameter() {
        return pipeDiameter;
    }

    /**
     * 荒管外径（目标）
     * @param pipeDiameter value
     */
    public void setPipeDiameter(String pipeDiameter) {
        this.pipeDiameter = pipeDiameter;
    }

    /**
     * 荒管壁厚（目标）
     * @return value
     */
    public String getPipeThickness() {
        return pipeThickness;
    }

    /**
     * 荒管壁厚（目标）
     * @param pipeThickness value
     */
    public void setPipeThickness(String pipeThickness) {
        this.pipeThickness = pipeThickness;
    }

    /**
     * 荒管长度（目标）
     * @return value
     */
    public String getPipeLength() {
        return pipeLength;
    }

    /**
     * 荒管长度（目标）
     * @param pipeLength value
     */
    public void setPipeLength(String pipeLength) {
        this.pipeLength = pipeLength;
    }

    /**
     * 轧制支数
     * @return value
     */
    public String getProductNum() {
        return productNum;
    }

    /**
     * 轧制支数
     * @param productNum value
     */
    public void setProductNum(String productNum) {
        this.productNum = productNum;
    }

    /**
     * 轧废支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 轧废支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 废品原因
     * @return value
     */
    public String getScrapReason() {
        return scrapReason;
    }

    /**
     * 废品原因
     * @param scrapReason value
     */
    public void setScrapReason(String scrapReason) {
        this.scrapReason = scrapReason;
    }

    /**
     * 轧辊入口速度
     * @return value
     */
    public String getEntranceSpeed() {
        return entranceSpeed;
    }

    /**
     * 轧辊入口速度
     * @param entranceSpeed value
     */
    public void setEntranceSpeed(String entranceSpeed) {
        this.entranceSpeed = entranceSpeed;
    }

    /**
     * 高压除磷水压力
     * @return value
     */
    public String getDescalingWaterPress() {
        return descalingWaterPress;
    }

    /**
     * 高压除磷水压力
     * @param descalingWaterPress value
     */
    public void setDescalingWaterPress(String descalingWaterPress) {
        this.descalingWaterPress = descalingWaterPress;
    }

    /**
     * 成品规格
     * @return value
     */
    public String getProductSize() {
        return productSize;
    }

    /**
     * 成品规格
     * @param productsize value
     */
    public void setProductSize(String productSize) {
        this.productSize = productSize;
    }

    /**
     * 轧辊出口速度
     * @return value
     */
    public String getExitSpeed() {
        return exitSpeed;
    }

    /**
     * 轧辊出口速度
     * @param exitSpeed value
     */
    public void setExitSpeed(String exitSpeed) {
        this.exitSpeed = exitSpeed;
    }

    /**
     * 机架冷却水压力
     * @return value
     */
    public String getCoolingWaterPress() {
        return coolingWaterPress;
    }

    /**
     * 机架冷却水压力
     * @param coolingWaterPress value
     */
    public void setCoolingWaterPress(String coolingWaterPress) {
        this.coolingWaterPress = coolingWaterPress;
    }

    /**
     * 入口温度
     * @return value
     */
    public String getEntranceTemp() {
        return entranceTemp;
    }

    /**
     * 入口温度
     * @param entranceTemp value
     */
    public void setEntranceTemp(String entranceTemp) {
        this.entranceTemp = entranceTemp;
    }

    /**
     * 出口温度
     * @return value
     */
    public String getExitTemp() {
        return exitTemp;
    }

    /**
     * 出口温度
     * @param exitTemp value
     */
    public void setExitTemp(String exitTemp) {
        this.exitTemp = exitTemp;
    }

    /**
     * 小冷床节奏
     * @return value
     */
    public String getBedRhythm() {
        return bedRhythm;
    }

    /**
     * 小冷床节奏
     * @param bedRhythm value
     */
    public void setBedRhythm(String bedRhythm) {
        this.bedRhythm = bedRhythm;
    }

    /**
     * 大冷床辊道速度
     * @return value
     */
    public String getRollerSpeed() {
        return rollerSpeed;
    }

    /**
     * 大冷床辊道速度
     * @param rollerSpeed value
     */
    public void setRollerSpeed(String rollerSpeed) {
        this.rollerSpeed = rollerSpeed;
    }

    /**
     * 电机力矩
     * @return value
     */
    public String getMotorTorque() {
        return motorTorque;
    }

    /**
     * 电机力矩
     * @param motorTorque value
     */
    public void setMotorTorque(String motorTorque) {
        this.motorTorque = motorTorque;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 监制人
     * @return value
     */
    public String getExecutiveProducer() {
        return executiveProducer;
    }

    /**
     * 监制人
     * @param executiveProducer value
     */
    public void setExecutiveProducer(String executiveProducer) {
        this.executiveProducer = executiveProducer;
    }

    /**
     * 监制时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 监制人电话
     * @return value
     */
    public String getProducerTel() {
        return producerTel;
    }

    /**
     * 监制人电话
     * @param producerTel value
     */
    public void setProducerTel(String producerTel) {
        this.producerTel = producerTel;
    }

    /**
     * 结炉标识
     * @return value
     */
    public String getNodeFurFlag() {
        return nodeFurFlag;
    }

    /**
     * 结炉标识
     * @param nodeFurFlag value
     */
    public void setNodeFurFlag(String nodeFurFlag) {
        this.nodeFurFlag = nodeFurFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	public String getHostEleSpeed11() {
		return hostEleSpeed11;
	}

	public void setHostEleSpeed11(String hostEleSpeed11) {
		this.hostEleSpeed11 = hostEleSpeed11;
	}

	public String getHostEleSpeed12() {
		return hostEleSpeed12;
	}

	public void setHostEleSpeed12(String hostEleSpeed12) {
		this.hostEleSpeed12 = hostEleSpeed12;
	}
    
}